Operations API
Overview
This document describes operations API
Version : 1.0.0
URI scheme
Schemes : HTTPS, HTTP
Paths
Retrieve operation status for given id
| GET /api/operations/status/{id}
|
Parameters
| Type |
Name |
Schema |
| Path |
id required |
string |
Responses
Consumes
Security
Example HTTP request
Request path
| /api/operations/status/string
|
Example HTTP response
Response 200
Response 404
| {
"Non existing key" : {
"error_code" : 8001,
"error_message" : "A value for the given key does not exists"
}
}
|
Response 503
| {
"Missing field" : {
"error_code" : 1001,
"error_message" : "Storage API is disabled"
}
}
|
Definitions
ErrorResponse
| Name |
Description |
Schema |
error_code optional |
Example : 8001 |
integer (int32) |
error_message optional |
Example : "Requested feature is currently not available" |
string |
OperationStatusData
| Name |
Description |
Schema |
status optional |
Status code. One of: SUCCESS, CANCELED, UNKNOWN Example : "SUCCESS" |
string |